-- 
-- WIKINDX : Bibliographic Management system.
-- @link http://wikindx.sourceforge.net/ The WIKINDX SourceForge project
-- @author The WIKINDX Team
-- @copyright 2018 Stéphane Aulery <lkppo@users.sourceforge.net>
-- @license https://creativecommons.org/licenses/by-nc-sa/2.0/legalcode CC-BY-NC-SA 2.0
-- 
-- Ensure DB schema of converted databases matches that in createSQL.xml
-- 

ALTER TABLE %%WIKINDX_DB_TABLEPREFIX%%bibtex_string MODIFY COLUMN `bibtexstringText` TEXT NOT NULL;

ALTER TABLE %%WIKINDX_DB_TABLEPREFIX%%config MODIFY COLUMN `configTitle` VARCHAR(255) DEFAULT 'WIKINDX';
ALTER TABLE %%WIKINDX_DB_TABLEPREFIX%%config MODIFY COLUMN `configLanguage` VARCHAR(255) DEFAULT 'en';
ALTER TABLE %%WIKINDX_DB_TABLEPREFIX%%config MODIFY COLUMN `configStyle` VARCHAR(255) DEFAULT 'APA';
ALTER TABLE %%WIKINDX_DB_TABLEPREFIX%%config MODIFY COLUMN `configMultiUser` VARCHAR(1) DEFAULT 'N';
ALTER TABLE %%WIKINDX_DB_TABLEPREFIX%%config MODIFY COLUMN `configUserRegistration` VARCHAR(1) DEFAULT 'N';
ALTER TABLE %%WIKINDX_DB_TABLEPREFIX%%config MODIFY COLUMN `configRegistrationModerate` VARCHAR(1) DEFAULT 'N';
ALTER TABLE %%WIKINDX_DB_TABLEPREFIX%%config MODIFY COLUMN `configNotify` VARCHAR(1) DEFAULT 'Y';
ALTER TABLE %%WIKINDX_DB_TABLEPREFIX%%config MODIFY COLUMN `configFileAttach` VARCHAR(1) DEFAULT 'N';
ALTER TABLE %%WIKINDX_DB_TABLEPREFIX%%config MODIFY COLUMN `configFileViewLoggedOnOnly` VARCHAR(1) DEFAULT 'N';
ALTER TABLE %%WIKINDX_DB_TABLEPREFIX%%config MODIFY COLUMN `configLastChangesType` VARCHAR(1) DEFAULT 'N';
ALTER TABLE %%WIKINDX_DB_TABLEPREFIX%%config MODIFY COLUMN `configImportBib` VARCHAR(1) DEFAULT 'N';
ALTER TABLE %%WIKINDX_DB_TABLEPREFIX%%config MODIFY COLUMN `configEmailNews` VARCHAR(1) DEFAULT 'N';
ALTER TABLE %%WIKINDX_DB_TABLEPREFIX%%config MODIFY COLUMN `configStatisticsCompiled` DATETIME DEFAULT NULL;
ALTER TABLE %%WIKINDX_DB_TABLEPREFIX%%config MODIFY COLUMN `configTemplate` VARCHAR(255) DEFAULT 'default';
ALTER TABLE %%WIKINDX_DB_TABLEPREFIX%%config MODIFY COLUMN `configQuarantine` VARCHAR(1) DEFAULT 'N';
ALTER TABLE %%WIKINDX_DB_TABLEPREFIX%%config MODIFY COLUMN `configListlink` VARCHAR(1) DEFAULT 'N';
ALTER TABLE %%WIKINDX_DB_TABLEPREFIX%%config MODIFY COLUMN `configEmailStatistics` VARCHAR(1) DEFAULT 'N';

ALTER TABLE %%WIKINDX_DB_TABLEPREFIX%%custom MODIFY COLUMN `customLabel` VARCHAR(255) NOT NULL;
ALTER TABLE %%WIKINDX_DB_TABLEPREFIX%%custom MODIFY COLUMN `customSize` VARCHAR(1) DEFAULT 'S';

ALTER TABLE %%WIKINDX_DB_TABLEPREFIX%%import_raw MODIFY COLUMN `importrawText` TEXT NOT NULL;

ALTER TABLE %%WIKINDX_DB_TABLEPREFIX%%language MODIFY COLUMN `languageLanguage` VARCHAR(255) DEFAULT NULL;

ALTER TABLE %%WIKINDX_DB_TABLEPREFIX%%news MODIFY COLUMN `newsTitle` VARCHAR(255) NOT NULL;
ALTER TABLE %%WIKINDX_DB_TABLEPREFIX%%news MODIFY COLUMN `newsTimestamp` DATETIME DEFAULT NULL;
ALTER TABLE %%WIKINDX_DB_TABLEPREFIX%%news MODIFY COLUMN `newsEmailSent` VARCHAR(1) DEFAULT 'N';

ALTER TABLE %%WIKINDX_DB_TABLEPREFIX%%resource_attachments MODIFY COLUMN `resourceattachmentsResourceId` INT(11) DEFAULT NULL;
ALTER TABLE %%WIKINDX_DB_TABLEPREFIX%%resource_attachments MODIFY COLUMN `resourceattachmentsDownloads` INT(11) DEFAULT '0';
ALTER TABLE %%WIKINDX_DB_TABLEPREFIX%%resource_attachments MODIFY COLUMN `resourceattachmentsDownloadsPeriod` INT(11) DEFAULT '0';
ALTER TABLE %%WIKINDX_DB_TABLEPREFIX%%resource_attachments MODIFY COLUMN `resourceattachmentsTimestamp` DATETIME DEFAULT NULL;
ALTER TABLE %%WIKINDX_DB_TABLEPREFIX%%resource_attachments MODIFY COLUMN `resourceattachmentsEmbargoUntil` DATETIME DEFAULT NULL;

ALTER TABLE %%WIKINDX_DB_TABLEPREFIX%%resource_creator MODIFY COLUMN `resourcecreatorResourceId` INT(11) NOT NULL;
ALTER TABLE %%WIKINDX_DB_TABLEPREFIX%%resource_creator MODIFY COLUMN `resourcecreatorCreatorSurname` VARCHAR(255) DEFAULT NULL;

ALTER TABLE %%WIKINDX_DB_TABLEPREFIX%%resource_metadata MODIFY COLUMN `resourcemetadataTimestamp` DATETIME DEFAULT NULL;
ALTER TABLE %%WIKINDX_DB_TABLEPREFIX%%resource_metadata MODIFY COLUMN `resourcemetadataTimestampEdited` DATETIME DEFAULT NULL;
ALTER TABLE %%WIKINDX_DB_TABLEPREFIX%%resource_metadata MODIFY COLUMN `resourcemetadataText` TEXT NOT NULL;
ALTER TABLE %%WIKINDX_DB_TABLEPREFIX%%resource_metadata MODIFY COLUMN `resourcemetadataPrivate` VARCHAR(255) DEFAULT 'N';

ALTER TABLE %%WIKINDX_DB_TABLEPREFIX%%resource_misc MODIFY COLUMN `resourcemiscMaturityIndex` DOUBLE DEFAULT '0';
ALTER TABLE %%WIKINDX_DB_TABLEPREFIX%%resource_misc MODIFY COLUMN `resourcemiscPeerReviewed` VARCHAR(1) DEFAULT 'N';
ALTER TABLE %%WIKINDX_DB_TABLEPREFIX%%resource_misc MODIFY COLUMN `resourcemiscQuarantine` VARCHAR(1) DEFAULT 'N';
ALTER TABLE %%WIKINDX_DB_TABLEPREFIX%%resource_misc MODIFY COLUMN `resourcemiscAccessesPeriod` INT(11) DEFAULT '1';

ALTER TABLE %%WIKINDX_DB_TABLEPREFIX%%resource_timestamp MODIFY COLUMN `resourcetimestampTimestamp` DATETIME DEFAULT NULL;
ALTER TABLE %%WIKINDX_DB_TABLEPREFIX%%resource_timestamp MODIFY COLUMN `resourcetimestampTimestampAdd` DATETIME DEFAULT NULL;

ALTER TABLE %%WIKINDX_DB_TABLEPREFIX%%users MODIFY COLUMN `usersUsername` VARCHAR(255) NOT NULL;
ALTER TABLE %%WIKINDX_DB_TABLEPREFIX%%users MODIFY COLUMN `usersPassword` VARCHAR(255) NOT NULL;
ALTER TABLE %%WIKINDX_DB_TABLEPREFIX%%users MODIFY COLUMN `usersTimestamp` DATETIME DEFAULT NULL;
ALTER TABLE %%WIKINDX_DB_TABLEPREFIX%%users MODIFY COLUMN `usersAdmin` VARCHAR(1) DEFAULT 'N';
ALTER TABLE %%WIKINDX_DB_TABLEPREFIX%%users MODIFY COLUMN `usersCookie` VARCHAR(1) DEFAULT 'N';
ALTER TABLE %%WIKINDX_DB_TABLEPREFIX%%users MODIFY COLUMN `usersPagingStyle` VARCHAR(1) DEFAULT 'N';
ALTER TABLE %%WIKINDX_DB_TABLEPREFIX%%users MODIFY COLUMN `usersLanguage` VARCHAR(255) DEFAULT 'en';
ALTER TABLE %%WIKINDX_DB_TABLEPREFIX%%users MODIFY COLUMN `usersStyle` VARCHAR(255) DEFAULT 'APA';
ALTER TABLE %%WIKINDX_DB_TABLEPREFIX%%users MODIFY COLUMN `usersTemplate` VARCHAR(255) DEFAULT 'default';
ALTER TABLE %%WIKINDX_DB_TABLEPREFIX%%users MODIFY COLUMN `usersNotifyAddEdit` VARCHAR(1) DEFAULT 'A';
ALTER TABLE %%WIKINDX_DB_TABLEPREFIX%%users MODIFY COLUMN `usersNotifyThreshold` INT(2) DEFAULT '0';
ALTER TABLE %%WIKINDX_DB_TABLEPREFIX%%users MODIFY COLUMN `usersNotifyTimestamp` DATETIME DEFAULT NULL;
ALTER TABLE %%WIKINDX_DB_TABLEPREFIX%%users MODIFY COLUMN `usersUseBibtexKey` VARCHAR(1) DEFAULT 'N';
ALTER TABLE %%WIKINDX_DB_TABLEPREFIX%%users MODIFY COLUMN `usersUseWikindxKey` VARCHAR(1) DEFAULT 'N';
ALTER TABLE %%WIKINDX_DB_TABLEPREFIX%%users MODIFY COLUMN `usersDisplayBibtexLink` VARCHAR(1) DEFAULT 'N';
ALTER TABLE %%WIKINDX_DB_TABLEPREFIX%%users MODIFY COLUMN `usersDisplayCmsLink` VARCHAR(1) DEFAULT 'N';
ALTER TABLE %%WIKINDX_DB_TABLEPREFIX%%users MODIFY COLUMN `usersTemplateMenu` INT(11) DEFAULT NULL;

ALTER TABLE %%WIKINDX_DB_TABLEPREFIX%%user_bibliography MODIFY COLUMN `userBibliographyTitle` VARCHAR(255) NOT NULL;

ALTER TABLE %%WIKINDX_DB_TABLEPREFIX%%user_groups MODIFY COLUMN `usergroupsTitle` VARCHAR(255) NOT NULL;

ALTER TABLE %%WIKINDX_DB_TABLEPREFIX%%user_register MODIFY COLUMN `userregisterHashKey` VARCHAR(255) DEFAULT NULL;
ALTER TABLE %%WIKINDX_DB_TABLEPREFIX%%user_register MODIFY COLUMN `userregisterTimestamp` DATETIME DEFAULT NULL;
ALTER TABLE %%WIKINDX_DB_TABLEPREFIX%%user_register MODIFY COLUMN `userregisterConfirmed` VARCHAR(1) DEFAULT 'N';
