<?php
/**
 * WIKINDX : Bibliographic Management system.
 * @link http://wikindx.sourceforge.net/ The WIKINDX SourceForge project
 * @author The WIKINDX Team
 * @copyright 2017 Mark Grimshaw <sirfragalot@users.sourceforge.net>
 * @license https://creativecommons.org/licenses/by-nc-sa/2.0/legalcode CC-BY-NC-SA 2.0
 */

/**********************************************************************************
HELP_it WIKINDX localization class -- Italian
**********************************************************************************/

class HELP_it
{
	public function __construct()
	{
	}
	public function loadArrays()
	{
		return array(
// START__LOCALIZATION__MODULE__EDIT
				"search"	=>	"<h3>Cerca</h3> <p>Quando effettui una ricerca per risorse o metadati, è possibile limitare i risultati restituiti per categoria, keyword e così via, e puoi selezionare il campo del database su cui effettuare la ricerca. Nella frase di ricerca, è possibile utilizzare le parole di comando <strong>AND</strong>, <strong>OR</strong> e <strong>NOT</strong> e puoi raggruppare le parole in frasi esatte utilizzando i doppi apici (virgolette): <strong>\"</strong><termine_di_ricerca><strong>\"</strong>.</p> <p>Selezioni multiple possono essere effettuate, ove indicato, attraverso la pressione di varie combinazioni di tasti: (su Windows e Linux), i tasti Control e Shift (Maiusc) mentre si clicca (su Apple, i tasti Comando e Shift).</p> <p>Valgono le seguenti regole:</p> <ul> <li><strong>AND</strong>, <strong>OR</strong> e <strong>NOT</strong> sono case-sensitive e funzionano come parole di controllo solo al di fuori delle frasi esatte</li> <li>Le ricerche sono case-insensitive</li> <li>Le ricerche di parole parziali non si applicano alle frasi esatte</li> <li>Uno spazio non in una frase esatta sarà trattato come <strong>AND</strong></li> <li>Tutta la punteggiatura non in una frase esatta verrà ignorata</li> <li>le parole<strong>OR</strong> seguenti <strong>AND</strong> o <strong>NOT</strong> saranno raggrupate. Per esempio: 'word1 AND word2 OR word3 OR word4 NOT word5 OR word6' saranno trattate come 'word1 AND (word2 OR word3 OR word4) NOT (word5 OR word6)'</li> <li>L'amministratore ha definito le seguenti parole che, se non presenti in una frase esatta, verranno ignorate: <em>#search#</em></li> </ul>",

				"resource"	=>	"<h3>Risorse</h3> <p>Ogni Utente può:</p> <ul> <li>Conservare la risorsa in un carrello che opera come una collezione temporanea di risorse che è possibile visualizzare in qualsiasi momento dal menu risorse.</li> <li>Conservare la risorsa come un segnalibro accessibile dal menu risorse. I segnalibri vengono memorizzati attraverso le sessioni per gli utenti registrati.</li> </ul> <p>Se sei un utente registrato puoi:</p> <ul> <li>Modificare alcuni elementi in questa pagina. Alcune opzioni, come ad esempio la modifica e l'aggiunta di allegati, devono essere abilitati dall'amministratore.</li> <li>Aggiungere nuovi elementi come citazioni, parafrasi e riflessioni. Commenti (nelle citazioni o nelle parafrasi) e le riflessioni possono essere impostati come privati, pubblici o disponibili a qualsiasi gruppo di utenti che hai definito in My Wikindx.</li> </ul> <p>Se un elemento come keyword o categoria è visualizzato come collegamento ipertestuale, cliccando sul link verranno visualizzate le altre risorse che appartengono a tale keyword o categoria. Ogni citazione, parafrasi e riflessioni disponibili possono, come opzione, avere keywords con collegamenti ipertestuali che collegano ad altri metadati.</p> <p>A seconda delle autorizzazioni utente, vedrai varie statistiche sulla pagina:</p> <ul> <li>Visite: Numero di visite questo mese / numero totale di visite.</li> <li>Indice di Visite: L'indicazione del numero di volte che questa risorsa è stata vista rispetto ad altre risorse, ponderata in base alla quantità di tempo che la risorsa è disponibile. Maggiore è la percentuale, maggiore è il numero di visualizzazioni ponderati.</li> <li>Downloads: Una risorsa può avere un numero qualsiasi di allegati e ognuno ha un display che indica i downloads di questo mese / numero totale di downloads.</li> <li>Indice di Downloads: come per l'Indice di Visite, una percentuale ponderata di numero di downloads totali.</li> <li>Indice di Popolarità: una combinazione dell'Indice di Visite ed Indice di Downloads indicante la popolarità della risorsa.</li> <li>Maturità: quantificata fino a 10 assegnata dall'amministratore indicante la soggettiva 'maturità' della risorsa.</li> </ul>",

				"collection"	=>	"__WIKINDX__NOT_YET_TRANSLATED__",

				"categoryTree"	=>	"<h3>Albero delle Categorie</h3> <p>L'Albero delle Categorie visualizza tutte le categorie utilizzate in WIKINDX e, nell'ambito di ciascuna categoria, le sottocategorie e le keywords. Il numero tra parentesi è il numero di risorse in ogni categoria, sottocategoria o keyword.</p>",

				"pasteBibtex"	=>	"<h3>Incolla BibTeX</h3> <p>Se si dispone di una bibliografia BibTeX, è possibile importare le voci selezionate, inclusi i valori di stringa @string, copiando e incollando le voci dal file BibTeX all'interno del box di testo. Se si dispone di campi non standard nelle voci BibTeX, WIKINDX vi fornirà la possibilità di mapparli in campi WIKINDX: se sei un amministratore, potresti creare campi personalizzati prima di incollare. Un amministratore può postare un numero illimitato di voci in una sola volta, altri utenti possono postare <strong>#pasteBibtex#</strong> voci alla volta.</p>",

				"configure"	=>	"<h3>Configura WIKINDX</h3> <p>La maggior parte delle opzioni di configurazione sono di immediata comprensione, ma tenere sempre a mente:</p> <ul> <li>Se si aggiunge la stringa speciale \$QUICKSEARCH\$ alla descrizione in homepage, verrà sostituito dal modulo di ricerca veloce.</li> <li>Per disabilitare gli utenti registrati dall'incollare le voci BibTeX, impostare il valore su 0. Gli amministratori possono sempre incollare.</li> <li>Nei casi in cui WIKINDX crea i file temporanei, ad esempio quando si esportano bibliografie in vari formati, è possibile definire il tempo di un file in secondi dopo il quale il file verrà eliminato la prossima volta che un utente accede.</li> <li>Se impostato, le statistiche verranno inviate all'inizio di ogni mese agli utenti registrati che prendono il nome di creatori di risorse.</li> <li>È possibile negare l'accesso in sola lettura. Se l'accesso in sola lettura è consentito, il prompt di login può essere aggirato e gli utenti andranno direttamente nel WIKINDX.</li> <li>Se si desidera utilizzare CAPTCHA per le richieste registrazione utente, sarà necessario ottenere una chiave pubblica e privata da:  . Questo aiuta a proteggersi contro gli spamming bot e lo spam di registrazione.</li> <li>Stampare gli errori di PHP e le istruzioni SQL è per scopi di debug e non deve essere utilizzato su un server di produzione in tempo reale. Stampare le istruzioni SQL interferisce con le operazioni AJAX nelle pagine come Selezionare Risorse, Ricerca Risorse e Nuova/Modifica Risorse.</li> <li>Se WIKINDX_GS_ALLOW nel file config.php è impostato a TRUE allora Google Scholar non sarà abilitato ad indicizzare gli allegati alle risorse (file PDF, ecc) se, qui, consenti solo agli utenti registrati di visualizzare gli allegati. (Google Scholar sarà ancora in grado di indicizzare i dettagli delle risorse citazioni e abstract.)</li> </ul> <p>Alcune delle impostazioni qui, come numero di risorse da visualizzare per pagina o lo stile bibliografico, sono valori predefiniti che gli utenti possono sostituire nelle Preferenze.</p> <p>È possibile aggiungere utenti di sistema dal menu Admin.</p> <p>Quando aggiungete o modificate risorse, ogni risorsa può appartenere a più categorie e sottocategorie, essere assegnate a campi personalizzati oppure definiti come appartenenti a una lingua -- gli amministratori possono aggiungere nuove categorie, sottocategorie, campi personalizzati e lingue dal menu Amministrazione.</p>",

				"front"	=>	"<h3>WIKINDX</h3> <p><strong>Suggerimenti di carattere generale</strong></p> <ul> <li>Il tuo browser web deve essere abilitato ad accettare i cookies.</li> <li>WIKINDX funziona come un programma all'interno di un programma, quindi si dovrebbe cercare di non utilizzare i pulsanti di navigazione avanti e indietro del browser web, ma si dovrebbe, invece, utilizzare la navigazione all'interno di WIKINDX</li> <li>WIKINDX utilizza le sessioni utente per memorizzare temporaneamente i dati e le sessioni sono univoche per ogni tipo di browser web e per ogni sua istanza. E' possibile che si verifichino risultati imprevisti se si utilizza WIKINDX con più di una finestra o scheda del browser aperta, anche se si può tranquillamente fare se i browser web sono diversi.</li> <li>WIKINDX v4 fa uso di TinyMCE v3.5.5 per la sua funzionalità WYSIWYG durante la modifica dei campi di testo. Un elenco dei browser compatibili è disponibile <a href=#tinyMCELink#>a questo link</a> ed include i maggior browsers utilizzati come MSIE, Firefox, Chrome, Safari ed Opera.</li> <li>A <em>risorsa</em>in WIKINDX è una raccolta di dati che comprende informazioni che costituiscono il record bibliografico, i metadati (informazione relativa come uno schedario o preso dal record, come citazioni o riflessioni -- l'amministratore potrebbe aver disabilitato questa funzione), categorie, sottocategorie e keywords. Possono esserci anche ulteriori informazioni come le note, abstract, allegati e URL esterni, oltre ai dati statistici.</li> <li>Se sei un utente registrato, puoi creare i tuoi tag utente e applicarli alle risorse.</li> <li>Come utente registrato, è ulteriormente possibile creare proprie bibliografie elaborate dalla Bibliografia Principale di WIKINDX.</li> <li>La formattazione bibliografica viene applicata in WIKINDX 'al momento' utilizzando gli stili bibliografici compilati e definiti dall'amministratore. Come con ogni stile bibliografico, non tutti i dati bibliografici necessitano di essere visualizzati. Se, per esempio, si dovesse cercare risorse aventi M. Mouse come creatore, allora le risorse restituite potrebbero essere dove M. Mouse è, per esempio, una serie di curatori , ma, a causa dei requisiti dello stile bibliografico, non vengono visualizzati come tali.</li> </ul> <p><strong>Impostazioni personali</strong></p> <p>L'amministratore definirà le impostazioni predefinite, ma, attraverso il menu Preferenze, è possibile modificare una serie di parametri che cambiano il modo in cui WIKINDX esegue o visualizza i dati. Come utente registrato, nella voce Il Mio Wikindx, è possibile gestire i propri dati personali e la notifica e-mail, creare gruppi di utenti e bibliografie, e definire i propri personali tags utente.</p>",

				"preferences"	=>	"<h3>Preferenze</h3> <p>Come utente registrato, le impostazioni vengono salvate per il successivo utilizzo WIKINDX. La maggior parte delle impostazioni sono auto-esplicative, ma alcune richiedono ulteriori spiegazioni:</p> <ul> <li>Link di paginazione: Se un'operazione di elencazione restituisce un numero elevato di risorse, l'operazione in se potrebbe richiedere molto tempo per la visualizzazione. È possibile, tuttavia, definire un sottoinsieme di risorse per la visualizzazione nel browser web ed utilizzare i links di paginazione per passare al successivo sottoinsieme.</li> <li>Nuvole di Tag: Le risorse possono essere sfogliate (nel menu Risorse) come \"nuvola di tag\" in cui la dimensione e il colore del carattere rappresentano la frequenza relativa dei dati visualizzati nel browser.</li> <li>Limitazione caratteri: A volte il testo visualizzato in un box di selezione è abbastanza lungo da causare problemi nella visualizzazione del browser web. Questo è spesso il caso con i titoli di giornale o nomi di editori. Questo campo permette di limitare la quantità di testo eccedente sostituito da ' ... '.</li> <li>BibTeX: BibTeX è un formato bibliografico utilizzato da ingegneri e scienziati.</li> <li>CMS: Se l'amministratore abilita tale funzione, i dati bibliografici di WIKINDX possono essere visualizzate in Content Management System come MediaWiki, Moodle e WordPress. Per facilitare questa operazione, è possibile visualizzare un collegamento 'cms' che fornisce i dati richiesti.</li> <li>Visualizzazione delle risorse con collegamento ipertestuale: durante la visualizzazione di un elenco di risorse, l'intera risorsa può essere visualizzata facendo clic sull'icona 'vista'. Inoltre, è possibile impostare l'intero record bibliografico per essere esso stesso un collegamento ipertestuale alla risorsa. In questo caso, se il record bibliografico contiene un URL esterno (il record è una pagina web, per esempio), allora l'URL esterno non sarà più un collegamento ipertestuale.</li> <li>Livelli del menu: Per utilizzare lo spazio dello schermo in modo efficiente, WIKINDX fa uso di menu multi-livello. Questi possono, tuttavia, essere difficile da utilizzare; così è possibile scegliere di ridurre il numero di livelli del menu. In alcuni casi, il progettista del template darà mandato di visualizzare un certo numero di livelli di menu che in questo caso, tentando di modificare il numero di livelli di menu per quel template, non farà differenza.</li> </ul>",

				"myWikindx"	=>	"<h3>My Wikindx</h3> <p>La maggior parte delle impostazioni sono auto-esplicative, ma alcune richiedono ulteriori spiegazioni:</p> <ul> <li>Gruppi di utenti: In un WIKINDX multi-utente, gli utenti registrati possono definire gruppi di utenti. Informazioni potenzialmente riservati, come commenti sulle citazioni o riflessioni sulle risorse, possono essere assegnati per la visualizzazione solo dai membri di un gruppo di utenti. Inoltre, i gruppi di utenti possono collaborare alla costruzione di una bibliografia di gruppo.</li> <li>Bibliografie degli utenti: Questi sono tratti dalla Bibliografia Principale di WIKINDX e possono essere personali o gestite da un gruppo di utenti. Operazioni su una bibliografia utente (ad esempio rimuovere le risorse da esso) non hanno alcun effetto sulla Bibliografia Principale di WIKINDX.</li> </ul>",

				"ideas"	=>	"__WIKINDX__NOT_YET_TRANSLATED__",

				"plugins"	=>	"<h3>Plugins</h3> <p>Scarica plugins, templates, lingue e stili bibliografici dal <a href='#wikindxLink#'>Sito web di WIKINDX su Sourceforge</a> ed installali nelle directory appropriate leggendo attentamente le istruzioni di ognuno di esse. I plugin estendono le funzionalità di WIKINDX di là del suo scopo principale e possono essere di due tipi: plugins in linea, in cui l'uscita del plugin viene visualizzato nel corpo del WIKINDX, o plugin del menu, in cui è possibile accedere tramite i menu. In qualità di amministratore, è possibile gestire alcune funzioni dei plugin e altri extra attraverso l'interfaccia WIKINDX incluso:</p> <ul> <li>Disabilitare plugins (e templates, stili e lingue): questo non cancella il plugin, si limitata temporaneamente a disattivarlo fino a quando non viene riattivato.</li> <li>Posizione dei plugin: Puoi riposizionare i plugin differentemente nelle gerarchie del menu.</li> <li>Autorizzazione: Blocca tipologie di utenti dall'accesso ai plugin.</li> </ul> <p>Posizionamento dei plugin e la concessione dell'autorizzazione è accompagnata dalla modifica del file config.php del plugin (in genere solo \$menus e \$authorize necessitano di essere modificati) -- sii sicuro di sapere quel che stai facendo:</p> <ul> <li>\$menus dovrebbe essere un raggruppamento di almeno uno dei seguenti elementi di menu:</li> <ul> <li>'wikindx'</li> <li>'file'</li> <li>'risorse'</li> <li>'ricerca'</li> <li>'text'</li> <li>'amministrazione'</li> <li>'plugin1'</li> <li>'plugin2'</li> <li>'plugin3'</li> </ul> <li> 'amministrazione' è disponibile solo se si effettua il login come amministratore, 'file' sarà visibile solamente se sono stati esportati files, 'text' sarà visibile solamente se ci sono metadati (citazioni ecc.), ed i tre alberi di menu 'pluginX' solamente se sono popolati.</li> <li> \$authorize dovrebbero essere numerati così:</li> <ul> <li>0 (elementi di menu visualizzati per tutti gli utenti)</li> <li>1 (elementi di menu visualizzati per utenti con accesso di scrittura)</li> <li>2 (elementi di menu visualizzati solamente per gli amministratori)</li> </ul> </ul> <p>Di solito, si inserirà un sottomenu in uno dei menu PluginX. Come riferimento, un file config.php tipico sarà simile a questo:</p> <p> <?php<br> class adminstyle_CONFIG {<br> public \$menus = array('plugin1');<br> public \$authorize = 2;<br> }<br> ?> </p> <p>Assicurarsi che le directory wikindx4/plugins (e i file index.php e config.php) e wikindx4/styles, wikindx4/languages ​​e cartelle wikindx4/templates (e tutti i file in essa contenuti) possono essere scritti dall'utente web server.</p> <p>I plugins Inline restituiscono un output che viene visualizzato in uno delle quattro contenitori che possono opzionalmente essere posizionati in qualsiasi file di template .tpl. Per modificare la posizione di un contenitore, sarà necessario modificare l'appropriato file .tpl.</p> <p>Almeno un template, uno stile bibliografico e una lingua devono rimanere attivati. WIKINDX si aspetta che il pacchetto di lingua inglese sia disponibile sul server (ad es. che tu non lo rimuova fisicamente dalla cartella wikindx4/languages/ ) sia che sia stato disabilitato, o no. Questo perché il pacchetto di lingua inglese è utilizzata per supplire a tutti i messaggi che potrebbero essere mancanti da altri pacchetti lingua.</p>",

// END__LOCALIZATION__MODULE__EDIT
		);
	}
}
?>